Topics index

 Top Next

Introduction

Introduction

Getting Started

What edition to choose?

System requirements

Installation

Command line

novaPDF SDK

Features summary

Feature matrix

Printing Preferences

Page

Manage Predefined Forms

Document

Save

Configure Save Options

Language

How to...

How to manage predefined forms


Introduction

 Top Previous Next

novaPDF is a virtual printer driver for Windows. Instead of printing on paper, it creates Adobe PDF files.

What is PDF?

Adobe PDF (Portable Document Format) is a universal file format that preserves the fonts, images, graphics, and layout of any source document, regardless of the application, hardware and operating system used to create it. PDF files are compact and complete, and can be shared, viewed, and printed by anyone with free Adobe Reader® software (or other third party PDF readers). PDF documents are also independent of the output device on which they are to be displayed or printed.

PDF has become the de facto standard for the electronic exchange of documents. Major corporations, government agencies, and educational institutions streamline their operations by replacing paper-based workflow with electronic exchange of information.

Why use novaPDF?

novaPDF can convert any printable file into a PDF file. Its purpose is to enable users to easily exchange electronic documents, independently of the environment in which they were initially created. It also helps companies to publish reports, marketing plans, price lists, contracts, and any other documents in a portable electronic document format.

How to use novaPDF?

All you have to do is to click Print from the application displaying the document and choose the novaPDF to create PDF files. You can generate high-quality and searchable PDF files from any Windows application.

You can choose a default folder and file name for generated PDF files, or you can set them at each print job. You can also choose different options for the output PDF file, including custom paper size, resolution, portrait and landscape orientation, scale, image compression, font embedding, PDF security and document metadata.

To create a PDF file you only need a windows application that can print (like Notepad or Wordpad).

To view PDF files, you need the FREE Adobe Acrobat Reader® (you can download it from www.adobe.com) or any other PDF viewer application.

novaPDF is compatible with Windows 2000/XP/XP x64/2003 Server/2003 Server x64/Vista/Vista x64 and requires approximately 10MB of free disk space.


Getting Started

Printing a test page

After installation you can test if novaPDF is working properly by printing a test page.

To print a test page in Windows Vista:

1. Go to Start and click on Printers (if you have the Classic menu go to Start->Settings->Printers)
2. In the Printers window, right-click novaPDF and select Properties
3. In the novaPDF Properties window, click on Print Test Page
4. You will be prompted to select a location and name for the test PDF file. Choose one and click Save.
5. After the PDF was created and saved, it will open in your default PDF reader and you will see the printed test page. If novaPDF is not registered, a notice is printed at the end of the PDF file. This can be removed from further created PDF files by purchasing a license and registering it.

To print a test page in Windows XP or Windows 2003 Server:

1. Go to Start and click on Printers and Faxes (if you have the Classic menu go to Start->Settings->Printers and Faxes)
2. In the Printers and Faxes window, right-click novaPDF and select Properties
3. In the novaPDF Properties window, click on Print Test Page
4. You will be prompted to select a location and name for the test PDF file. Choose one and click Save.
5. After the PDF was created and saved, it will open in your default PDF reader and you will see the printed test page. If novaPDF is not registered, a notice is printed at the end of the PDF file. This can be removed from further created PDF files by purchasing a license and registering it.

To print a test page in Windows 2000:

1. Go to Start and click on Printers
2. In the Printers window, right-click novaPDF and select Properties
3. In the novaPDF Properties window, click on Print Test Page
4. You will be prompted to select a location and name for the test PDF file. Choose one and click Save.
5. After the PDF was created and saved, it will open in your default PDF reader and you will see the printed test page. If novaPDF is not registered, a notice is printed at the end of the PDF file. This can be removed from further created PDF files by purchasing a license and registering it.

Accessing the novaPDF Printing Preferences

You can access the Printing Preferences window and change the various settings available.

To access the novaPDF Printing Preferences window in Windows Vista:

1. Go to Start and click on Printers (if you have the Classic menu go to Start->Settings->Printers)
2. In the Printers window, right-click novaPDF and select Printing Preferences
3. novaPDF Printing Preferences window will be displayed and you will have the option to change the various settings available (grouped in tabs)

To access the novaPDF Printing Preferences window in Windows XP and Windows 2003 Server:

1. Go to Start and click on Printers and Faxes (if you have the Classic menu go to Start->Settings->Printers and Faxes)
2. In the Printers and Faxes window, right-click novaPDF and select Printing Preferences
3. novaPDF Printing Preferences window will be displayed and you will have the option to change the various settings available (grouped in tabs)

To access the novaPDF Printing Preferences window in Windows 2000:

1. Go to Start and click on Printers
2. In the Printers window, right-click novaPDF and select Printing Preferences
3. novaPDF Printing Preferences window will be displayed and you will have the option to change the various settings available (grouped in tabs)

Creating PDF Files

novaPDF installs itself as a virtual printer driver so there is no exe file to run in order to create PDF files.

To create PDF files, you just have to print your documents to the novaPDF Printer, like you would print to a normal printer.

How to create PDF files from Microsoft Word

1. Open the Word document that you want to convert to a PDF file
2. Go to File->Print and select novaPDF from the Printers combo-box
3. Click on Ok and choose a location for your PDF file

How to create PDF files from Microsoft WordPad

1. Open the document that you want to convert to a PDF file
2. Go to File->Print and select novaPDF from the Printers' list
3. Click on Print and choose a location for your PDF file

How to create PDF files from NotePad

1. Open the NotePad document that you want to convert to a PDF file
2. Go to File->Print and select novaPDF from the Printers' list
3. Click on Print and choose a location for your PDF file


What edition to choose?

There are three licensing options for novaPDF: Lite, Standard and Professional.

novaPDF Lite implements the basic functionality of a printer driver, giving users the possibility to create high-quality searchable PDF files from any Windows application. Main features:

· Customizable resolution - choose any resolution from 72 dpi to 2400 dpi
· Network printer sharing (Server edition) - can be installed on one computer in a network environment and used by any other computer in that network
· Save PDF to Server (Server edition) - can save the PDF from a client computer directly to the server
· Predefined/custom page sizes - choose a default page size (like Letter, Legal, A3, A4, A5, A6, ...) or define your own
· Document information - include title, subject, author, keywords in your PDF file
· Multilanguage support - choose a language for the user interface

novaPDF Standard has all the features of novaPDF Lite plus:

· Create private profiles - Define different profiles for future use, each with its own settings for page size, resolution, fonts, compression, document info and save settings
· Public Profiles (Server edition) - Define profiles on the server computer and they will automatically be propagated to all client computers.
· Text/graphics compression - Supports ZIP and JPEG compression
· Fonts embedding and font subsets embedding - Fonts (TrueType and OpenType) can be embedded in the PDF file to ensure perfect portability.
· Page Left, Right, Top and Bottom Margins - You can set a margin region that will remain empty when printing.
· Page zoom (1%-400% zoom factor) - You can zoom a page if you need advanced settings of how the document should be positioned on the PDF page.

novaPDF Professional has all the features of novaPDF Standard plus:

· 40 bit/128 bit encryption - full 40-bit and 128-bit encryption is supported by novaPDF and the user is able to control whether the PDF can be viewed, printed, modified, copied or annotated
· create PDF links - recognizes links to files and formatted URLs (starting with "http://", "www", "mailto:" or "ftp://") included in the original document, and create them in the generated PDF file as links, so they can be opened by clicking them in the PDF viewer
· send PDF via email - once created, the PDF file can be automatically sent via email to different recipients, either using the default email client or directly from the application (using SMTP configuration).
· PDF Bookmarks - it can detect the headings in the printed document and add bookmarks in the generated PDF files. You have to define the text attributes for the document headings (font, size, style, color) and for the generated bookmarks.
· Watermarks - custom images or text can be used as a watermark for the resulting PDF file

You can also choose between Desktop edition or Server edition. If you use novaPDF on only one computer or your computers are not permanently connected in a network, you should choose the Desktop edition. If you want to use novaPDF as a shared network printer or in a Terminal Server environment, you should choose the Server edition. The Server edition adds features like license management and public profiles.


System requirements

To install novaPDF you need Windows 2000/XP/XP x64/2003 Server/2003 Server x64 or Vista/Vista x64 and approximately 10 megabytes of free disk space.


Installation

Install

To install novaPDF on your computer you need to have administrative rights. The installation process does not take much time. All you need to do is to follow the instructions of the "Setup - novaPDF" wizard. If this is the first time you install, there is no need to reboot at the end of the setup; you can print to novaPDF right after it is installed on your machine.

If you have already installed an older version of novaPDF, you can install the new version on top of the older one, no need to uninstall it. If it is a minor release your old settings will be preserved. If it is a major release it will not overwrite the previous version. During setup you will have the option to import the profiles from previous versions and later you can uninstall the older version. After the installation process finishes, you might be asked to reboot your computer.

Network install

novaPDF Server edition (Lite, Standard or Professional) can be installed on a central computer and used by any computer in the network. This is what you have to do:

Choose a computer in the network that will be the print server. Install novaPDF Server (Lite, Standard or Professional) on it, as described in the Install section.

If you are using Terminal Services then you do not need to share and install on the client computers anything.

If you are not using Terminal Services you have to share the printer installed on your print server. From any workstation in the network, connect to the shared novaPDF Server. You can connect to a network printer in several ways. Here are two of them:

· from Windows Start menu, Settings, open Printers and Faxes. Select Add Printer and choose the network shared novaPDF Server on the printer server.
· in Windows Explorer, go to the printer server computer, open Printers and Faxes, select novaPDF Server and from the pop-up menu choose Connect

After a connection was made to the novaPDF Server, you can see it in your list of printers on the workstations. You can go to any application and print to it.

Uninstall

Go to the novaPDF application group (from the Windows Start menu and click Uninstall novaPDF). You can also uninstall the application using the Add/Remove programs icon from the Control Panel.

Network uninstall

On the print server go to the novaPDF application group (from the Windows Start menu and click Uninstall novaPDF). You can also uninstall the application using the Add/Remove programs icon from the Control Panel.

On the client computers from the from Windows Start menu, Settings, open Printers and Faxes. Select the novaPDF Server and delete it.

Command line

novaPDF setup can be called from command line with several parameters. See the Command line topic for the parameters list.


Command line

Install novaPDF

novaPDF Setup has the following command line parameters:

/SILENT, /VERYSILENT

Instructs Setup to be silent or very silent. When Setup is silent the wizard and the background window are not displayed but the installation progress window is. When a setup is very silent this installation progress window is not displayed. Everything else is normal so for example error messages during installation are displayed

If a restart is necessary and the /NORESTART command isn't used (see below) and Setup is silent, it will display a Reboot now? message box. If it's very silent it will reboot without asking.

/SUPPRESSMSGBOXES

Instructs Setup to suppress message boxes. Only has an effect when combined with /SILENT and /VERYSILENT.

/NOCANCEL

Prevents the user from cancelling during the installation process, by disabling the Cancel button and ignoring clicks on the close button. Useful along with /SILENT or /VERYSILENT.

/NORESTART

Instructs Setup not to reboot even if it's necessary.

/RESTARTEXITCODE=exit code

Specifies the custom exit code that Setup is to return when a restart is needed. Useful along with /NORESTART'

/DIR="x:\dirname"

Overrides the default directory name displayed on the Select Destination Location wizard page. A fully qualified pathname must be specified.

/GROUP="folder name"

Overrides the default folder name displayed on the Select Start Menu Folder wizard page.

/LANG="language"

Specifies the language to use for the installation. When a valid /LANG parameter is used, the Select Language dialog will be suppressed.

/Languages="language1-language2-..."

Specifies the languages that will be installed. Use short language codes (like "en-it").

/DefaultLang="language"

Specifies the default language. Use short language codes (like "en") or the REGST constant for Use regional settings option.

/PrinterName="printer name"

Name of the installed printer. By default the name is "novaPDF v5"

/RegisterName="registration name"

novaPDF registration name

/RegisterKey="license key"

novaPDF registration key (not the SDK application license key, but the printer license key)

/Default

Instructs setup to set the printer as default printer.

/NoInstallIfExists

Instructs setup to check if a novaPDF, with the same name, is already installed. If it is, it does not start the installation.

Here is an example of how to call the silent installer:

novapl.exe /VERYSILENT /SUPPRESSMSGBOXES /NOCANCEL /NORESTART

/PrinterName="novaPDF v5"

Uninstall novaPDF

When installing novaPDF, there will be added a Start Menu folder for the novaPDF. There will be also an menu item for the uninstaller.

If you installed with default directory name, the uninstaller is located at: C:\Program Files\Softland\novaPDF v5\unins000.exe.

The uninstaller has also some parameters for silent uninstall (they have the same meaning as for the installer, see above for details):

/SILENT

/VERYSILENT

/SUPPRESSMSGBOXES

/NORESTART


novaPDF SDK

You can integrate novaPDF in your applications and easy generate PDF files.

Installation

novaPDF SDK comes in a separate installation program and can be downloaded from the product site.

novaPDF SDK package

novaPDF SDK includes:

· a COM interface for customizing novaPDF options. Any option that can be configured in the novaPDF Printing Preferences dialog, can be also configured with the COM interface, including profiles management.
· a silent installer for the novaPDF that can be distributed with your software. You can include this silent installer in your installation program and novaPDF will be installed with your customized options, without any user interaction.
· novaPDF SDK documentation
· several samples of how to use novaPDF SDK

How to generate PDF file with novaPDF SDK

You have to follow next steps for generating PDF files from your software:

· silent install novaPDF on the client machine by using the silent installer provided in the novaPDF SDK
· customize novaPDF settings using the provided COM interface (for instance set the output file name and folder, document info,...). If you do not wish to install and use the COM interface, you can write the settings directly in registry. All registry settings are documented in the novaPDF SDK manual.
· start a print job from your application and write to the printer device context as you wish. All your drawing will be converted to PDF.
· you can also register some windows messages to receive the printing status (page finished, document finished, errors...)

Network use

novaPDF Server can be installed on the network as a printer server and novaPDF SDK can be used in softwares that are installed on a single computer in network and used from any other computer in the network.

All you need to do in your software is to check if the novaPDF Server is installed locally and if not to add a connection to the novaPDF Server on the printer server.

Licensing

novaPDF SDK is fully functional with no time limitation. A notice is printed on each PDF page mentioning the novaPDF.

The notice will be removed when you buy and register novaPDF SDK license. novaPDF SDK has a royalty-free license.

The notice will be also removed if you print from computers where the novaPDF is registered. If you have the novaPDF registered on every computer that uses your software, there is no need to buy the license for novaPDF SDK


Features summary

Create PDF files

You can create fully compatible Adobe PDF files from any Windows application that supports printing.

Easy installation

There is a single installation file that automatically installs novaPDF. Also there is an uninstaller utility that automatically uninstalls novaPDF. You only need Windows 2000/XP/XP x64/2003 Server/2003 Server x64/Vista/Vista x64 and approximately 10 megabytes of free disk space.

Easy to use

You don't need to learn a complex program. All you have to do is to click Print from any application that supports printing and choose novaPDF to create PDF files.

Convert any document

novaPDF converts any type of printable windows document including DOC, XLS, PPT, HTML and TXT.

Searchable PDF files

You can search and extract text from the generated PDF files.

Language

During novaPDF setup you can choose what languages to be installed for novaPDF user interface. You can change the language at runtime.

Document properties

You can set the document properties such as title, subject, author and keywords for each printed document.

Output folder

You can set a default folder to save the files and a default file name. You can also use some macros to define the resulting file name including: original document name, date and time, computer and user name and a file counter. Or you can choose the output folder and file name at each print job.

View PDF files

You can choose to automatically view the PDF files immediately after they were generated in any PDF viewer installed on your computer.

Predefined paper sizes

novaPDF supports several predefined paper sizes and also custom user defined paper sizes that can be saved and reused. You can also set printing resolution from 72 to 2400 dpi. To better fit the result on paper, there are options to set paper margins and to scale the output.

novaPDF SDK

You can integrate novaPDF in your applications and easy generate PDF files. You should download and install novaPDF SDK that includes a COM for customizing novaPDF's options and a silent installer for the driver that can be distributed with your software.

Network auto-install (Server editions)

novaPDF can be installed on one computer and can be used by any computer in the network, without having to install it on each computer. Just share the printer on the printer server and connect to it from any other computer.


Feature matrix

Detailed feature matrix for novaPDF Lite (Lite), Standard (Std), Professional (Pro), Lite Server (Lite SRV), Standard Server (Std SRV) and Professional Server (Pro SRV) editions.

Feature | Lite | Lite SRV | Std | Std SRV | Pro | Pro SRV
Print from any Windows application | Yes | Yes | Yes | Yes | Yes | Yes
Embedding images | Yes | Yes | Yes | Yes | Yes | Yes
Embedding formulas and tables | Yes | Yes | Yes | Yes | Yes | Yes
Page - Predefined Sizes | Yes | Yes | Yes | Yes | Yes | Yes
Page - Custom Sizes | Yes | Yes | Yes | Yes | Yes | Yes
Page - Orientation | Yes | Yes | Yes | Yes | Yes | Yes
Page - Resolution (72 to 2400 dpi) | Yes | Yes | Yes | Yes | Yes | Yes
Page - Scaling (1-400%) | Yes | Yes | Yes | Yes | Yes | Yes
Page - Margins (Left, Right, Top and Bottom) | - | - | Yes | Yes | Yes | Yes
Page - Zoom (1-400%) | - | - | Yes | Yes | Yes | Yes
Page - Align | - | - | Yes | Yes | Yes | Yes
Graphics Compression - Text and graphics | - | - | Yes | Yes | Yes | Yes
Graphics Compression - High color images | - | - | Yes | Yes | Yes | Yes
Graphics Compression - Indexed/monochrome images | - | - | Yes | Yes | Yes | Yes
Graphics Downsample - High color images | - | - | Yes | Yes | Yes | Yes
Graphics Downsample - Indexed/monochrome images | - | - | Yes | Yes | Yes | Yes
Graphics Convert to grayscale - High color images | - | - | Yes | Yes | Yes | Yes
Graphics Convert to grayscale - Indexed images | - | - | Yes | Yes | Yes | Yes
Graphics Convert to grayscale - Text and graphics | - | - | Yes | Yes | Yes | Yes
Graphics - Optimization of image sequences | - | - | Yes | Yes | Yes | Yes
Graphics - Correct line widths | - | - | Yes | Yes | Yes | Yes
Fonts - Embedding | - | - | Yes | Yes | Yes | Yes
Fonts - Embed subsets | - | - | Yes | Yes | Yes | Yes
Fonts - Always embed list | - | - | Yes | Yes | Yes | Yes
Fonts - Never embed list | - | - | Yes | Yes | Yes | Yes
Document - Set info (Title, Subject, Author, Keywords) | Yes | Yes | Yes | Yes | Yes | Yes
Document - Set start page | Yes | Yes | Yes | Yes | Yes | Yes
Document - Set page layout | Yes | Yes | Yes | Yes | Yes | Yes
Document - Show panels | Yes | Yes | Yes | Yes | Yes | Yes
Security - Encryption level (none, 40-bit, 128-bit) | - | - | - | - | Yes | Yes
Security - Set document permissions | - | - | - | - | Yes | Yes
Security - Password protection (user, owner) | - | - | - | - | Yes | Yes
Links - Detect URLs and local files | - | - | - | - | Yes | Yes
Links - Customize appearance | - | - | - | - | Yes | Yes
Bookmarks - multiline, match regardless of level | - | - | - | - | Yes | Yes
Bookmarks - set number of level, open to level | - | - | - | - | Yes | Yes
Bookmarks - multiple definitions | - | - | - | - | Yes | Yes
Bookmarks - detect by font, size, style, color | - | - | - | - | Yes | Yes
Bookmarks - show in different style and color | - | - | - | - | Yes | Yes
Watermarks - display as background | - | - | Yes | Yes | Yes | Yes
Watermarks - show on all/odd/even/range pages | - | - | Yes | Yes | Yes | Yes
Watermarks - transparent color | - | - | Yes | Yes | Yes | Yes
Save - Local | Yes | Yes | Yes | Yes | Yes | Yes
Save - Network | - | Yes | - | Yes | - | Yes
Save - Prompt dialog or use predefined settings | Yes | Yes | Yes | Yes | Yes | Yes
Save - Automatic actions in case of name conflicts | Yes | Yes | Yes | Yes | Yes | Yes
Save - Open PDF or execute action after save | Yes | Yes | Yes | Yes | Yes | Yes
Email - send as attachment (normal or zipped) | - | - | - | - | Yes | Yes
Email - send using email client or SMTP server | - | - | - | - | Yes | Yes
Email - multiple definitions | - | - | - | - | Yes | Yes
Profiles - multiple private profiles | - | - | Yes | Yes | Yes | Yes
Profiles - multiple public profiles | - | - | - | Yes | - | Yes
Language - multiple translations for the interface | Yes | Yes | Yes | Yes | Yes | Yes
Licensing - single user | Yes | - | Yes | - | Yes | -
Licensing - multi user | - | Yes | - | Yes | - | Yes
Licensing - Share as network printer | - | Yes | - | Yes | - | Yes
Licensing - Use with Terminal Services | - | Yes | - | Yes | - | Yes


Page

The main page of the Printing Preferences window allows you to select a page size, define a custom page size, change the page orientation, preview your selection, set the resolution, scale, access the Manage Predefined Forms window.

The window can be opened by choosing the Printing Preferences menu item when novaPDF is selected in the Printers and Faxes window. It is also accessible form the printing Windows application in the Print dialog if you press the Properties (Preferences) button when novaPDF is selected.

Page size

This group allows you to select one of the predefined page sizes or enter a custom page size.

Predefined

You can select a predefined form from the drop down list when this option is selected. The width and height of the selected form are shown in the fields below.

Manage

Pressing this button will open the Manage Predefined Forms window. If you cannot find a suitable predefined form in the list above it and want to define one for future use, you should press the Manage button and create or make visible the necessary form. For more information see the Manage Predefined Forms section.

Customize

If you want to print to a custom page size only once and don't need the same size in the future, you can select the Customize radio button and type the desired page width and height. The values will not be preserved for future use.

Width

You can set the page width between 10 and 10000 millimeters by entering a value or pressing the Up and Down arrows. The number you enter is expressed in the selected measurement unit. The field defaults to the previously selected predefined form's width.

Height

You can set the page height between 10 and 10000 millimeters by entering a value or pressing the Up and Down arrows. The number you enter is expressed in the selected measurement unit. The field defaults to the previously selected predefined form's height.

Units

You can change the measurement units from the Units drop down list. The available values are millimeters, inches and points. Changing the units will recalculate the Width and Height values.

Orientation

Specifies how the page is positioned. Available options are Portrait and Landscape. The orientation can also be set from the printing application.

Portrait

Portrait orients the print vertically (longest edge of the page is vertical).

Landscape

Landscape orients the print horizontally (longest edge of the page is horizontal).

Preview

Shows a graphic representation of the PDF page highlighting important settings like page size, margins and zoom.

Graphic

Specifies the resolution and scale of the document. You can also access the Margins and Zoom window from this group.

Resolution

You can set the printing resolution between 50 and 2400 dpi by selecting the default values from the drop down list or entering a different value. A smaller resolution results in smaller PDF file, but lower image quality, while a higher resolution means better image quality, but bigger PDF file. The default value is 300 dpi. The resolution can also be set from the printing application.

Scale

You can set the scale of the document from 1% to 400% by entering a value or pressing the Up and Down arrows. The scale factor can also be set from the printing application.

NOTE

Some applications allow you to set page size, orientation, scale and resolution from their own printing dialogs. If you open the novaPDF Printing Preferences dialog from the printing application, you will see these settings are automatically updated on the first page.


Manage Predefined Forms

In the Manage Predefined Forms window you can view, add, copy, update and delete predefined forms (page sizes/formats).

The window can be opened by pressing the Manage button placed on the Page section of the Printing Preferences window.

Predefined forms list

The list contains essential information about the existing predefined forms, their visibility, name and description. If the check box in front is checked the predefined from will be visible in the Predefined drop down list from the first page. Selecting a predefined form will show its properties in the fields below the list.

New

Pressing the New button creates a custom predefined form. The fields below the list become enabled and the user can enter a form name, width, height, description and select the visibility.

Copy

Pressing the Copy button creates a custom predefined form with the same properties as the selected form. The fields below the list become enabled and the user can change the name, width, height, description and select the visibility.

Delete

Pressing the Delete button deletes the selected predefined form from the list. Only custom forms can be deleted, so the button is not enabled for system forms.

Units

Select the measurement units for the predefined form's width and hight. The available values are millimeters, inches and points. Changing the units will recalculate the Width and Height values.

Name

Short name of the selected predefined form. You can modify it if the selected predefined form is of custom type.

Width

The width of the selected predefined form. You can modify it by entering a value or pressing the Up and Down arrows if the selected predefined form is of custom type.

Height

The height of the selected predefined form. You can modify it by entering a value or pressing the Up and Down arrows if the selected predefined form is of custom type.

Visible

The visibility flag for the selected predefined form. You can show/hide both system and custom predefined forms.

Description

A longer description of the selected predefined form. You can modify it if the selected predefined form is of custom type.

Type

The type of of the selected predefined form. Can be System or Custom, it cannot be changed. System forms are standard page sizes that are created when novaPDF is installed. They are usually available in all applications and cannot be modified or removed, only hidden. Custom forms are the forms created by the user. Unlike system forms, their properties can be modified by the user at any time and they can be removed.

For more information on how to manage custom forms go to the How to manage predefined forms topic.


Document

The Document page of the Printing Preferences window contains settings for PDF document information and how the PDF document should be opened by the default PDF reader.

The window can be opened by choosing the Printing Preferences menu item when novaPDF is selected in the Printers and Faxes window and clicking the Document tab. This tab is also accessible from the printing Windows application in the Print dialog if you press the Properties (Preferences) button when novaPDF is selected.

Document Information

The Document Information is specific for each printed document and should be set on each printing job. If you wish, you can use some <Default> tags that will fill automatically the fields with information from the printing job.

Title

Sets the document title. If you use the <Default> tag, the title will be the name of the document that is printed, as it is sent by the printing application.

Subject

Sets the subject for the printed document. Default is empty.

Author

Sets the author of the printed document. If you use the <Default> tag, the author will be the windows user that started the print job.

Keywords

Sets the keywords for the printed document. Default is empty.

Producer

Shows information about the application that generated the PDF file. This field is read only and cannot be changed. It will describe novaPDF version and build number.

PDF Viewer options

These options will be used by the default PDF Viewer when opening the PDF file.

Start page

Sets the page that will be first shown when opening the PDF file. By default, the first page will be shown.

Page layout

You can choose form next page layouts: Single Page, Continuous, Facing and Continuous - Facing. By default the PDF file will be opened with the Continuous page layout.

Show

You can choose to show some viewer panels when PDF file is opened: Pages Panel, Bookmarks Panel, Layers Panel, Attachments Panel. You can also choose to show the pdf file in the Full Screen mode. By default the PDF file will be opened without any panel, show Page only mode.

Magnification

You can choose the magnification when opening the PDF file in the PDF viewer: Fit Width, Fit Height, Fit Page or a percent between 25% and 400%. If you choose Default for magnification, the PDF viewer will use its default settings.


Save

The Save page of the Printing Preferences window allows you to configure save options for the generated PDF file and add after-save actions.

The window can be opened by choosing the Printing Preferences menu item when novaPDF is selected in the Printers and Faxes window and clicking the Save tab. This tab is also accessible from the printing Windows application in the Print dialog if you press the Properties (Preferences) button when novaPDF is selected.

Destination

When you have a public profile on a novaPDF Server Edition, you can choose where to save the generated PDF file. For private profiles, the destination is always Local and the options are grayed out.

Local

If the destination is set to local, the file will be saved on the computer from where the print job was started.

Network

If the destination is set to network, the file will be saved on the printer server computer.

Save options

This group allows you to choose if the PDF will be automatically saved to a location or a dialog will be displayed each time.

Prompt Save As Dialog

If this is selected, each time you will create a PDF file you will be prompted with the Save As dialog where you can manually set the destination folder and file name for the generated PDF files. Using the Configure Save Options window you can add a default path to be remembered for each time you create a PDF file, as well as to automatically assign a name for the PDF file. This way when the Save As dialog will prompt, the default path will be opened and the name auto-generated.

Use predefined settings

Select this if you prefer to automatically save and name all generated PDF files in the same folder that can be defined in the Configure Save Options window.

After Save Action

You can set whether to perform an action or not after the PDF file was generated and saved:

· None: no action will be performed
· Open with default viewer: if this is selected the resulting PDF file will be opened in the default viewer
· Run application: if this is selected, you can choose an application to run after the PDF if saved. You can also add some parameters that will be passed to the application when started.


Configure Save Options

Configure Save Options is available when clicking the same named button from the Save window . You can set the folder where the PDF files will be saved after generation and also add file-naming macros to automatically name the generated PDF.

Folder

In the Folder field you can set a folder where the files will be saved. The path will be remembered for the next save operation even if you have selected the Prompt Save As dialog in the Save window.

File name

You can manually type a name for the generated PDF file in the File name field or use Macro to automatically name the PDF file created.

In order to use different file names for each generated PDF files, you can use some macros in the File name field (an example of how the macros are converted is shown just below the File name field).

You can select any of next macros:

· [N] - Document name
· [YMD] - Date in the format YYYYMMDD (year, month, day)
· [Y] - Year in the format YYYY
· [M] - Month in the format MM
· [D] - Day in the format DD
· [HIS] - time in the format hhmmss (hour, minute, second)
· [H] - Hour in the format hh
· [I] - Minute in the format mm
· [S] - Second in the format ss
· [C] - Counter in the format cc (it begins with 01 and increases at each printed document, if a file with the same name exists in the save folder)
· [W] - Computer name
· [U] - User name

If you selected the Use predefined setting radio button on the Save window but you did not enter a folder or a file name, you will be prompted with the Save As dialog when printing to the novaPDF. If you choose a folder that does not exist, it will be automatically created.

When file exists

This option is only displayed when you select Use predefined setting from the Save window and is not shown for the Prompt Save As dialog option. When a file with the same name already exists in the selected folder, you can choose one of the next actions:

· Prompt Query Dialog - a "Save as" dialog will be shown so you can change the name of the file or folder manually
· Auto number new - a counter is added to the file name of the new generate pdf file
· Auto number existing - a counter is added to the file name of the existing pdf file. The new pdf file will have the name set in this dialog
· Append Date/Time - the date and time is appended to the generated pdf file name
· Overwrite - existing file is overwritten with the new generated file


Language

The Language page of the Printing Preferences allows you to set the language for the Printing Preferences page.

The window can be opened by choosing the Printing Preferences menu item when novaPDF is selected in the Printers and Faxes window and clicking the Language tab. This tab is also accessible from the printing Windows application in the Print dialog if you press the Properties (Preferences) button when novaPDF is selected.

Use user's regional settings

If you check this option, the language will be automatically selected depending on each user regional setting. If the user language is not available in novaPDF, the default language is chosen (English).

Select Language

If you want all users to use the same language, select one of the languages in the Select language combo-box.


About

The About page of the Printing Preferences contains information about the version and edition you have installed, features of the installed edition and options to register, purchase or contact the support team.

The window can be opened by choosing the Printing Preferences menu item when novaPDF is selected in the Printers and Faxes window and clicking the About tab. This tab is also accessible from the printing Windows application in the Print dialog if you press the Properties (Preferences) button when novaPDF is selected.

novaPDF is available as Shareware - another way of saying "Try before you buy". It is fully functional with no time limitation. A notice is printed on each PDF page mentioning the novaPDF. The notice will be removed from further created PDF files when you buy and register novaPDF.

To start the order process, go to the About page in the Printing Preferences dialog and click on Buy now! button. It will open the online web page where you can purchase novaPDF. After completing the purchase, a registration key will be delivered to you by email. This key is required to register the program. It is recommended that you make a backup copy of this email (e.g. print out a hard copy).

To register the program, click on the Register button and enter the registration information received via email.

To contact the support team, click on the Support button. This will open an email (using the default email client) having information about your operating system and version/edition of novaPDF.

The Licenses button is available only in the Server editions and allows license management.


Features

The Features window can be opened from the About page and displays a list of features available in novaPDF.

Features

The Code column contains a two character codification of the feature. The Feature column lists the available features in novaPDF, while the Enabled column shows if the feature is present in this edition of the software that you have installed or not.


Register

The Register window can be opened from the About page and allows entering a registration name and registration key to register novaPDF.

Register

After purchasing a novaPDF license you will receive an email that contains your Registration name and Registration key. Copy and paste the exact values you received by email in the available fields. Press the OK button when you are ready.

If the registration information is valid, you will get a confirmation message saying the application has been successfully registered. After the confirmation message, you can see the registration details on the About page.

If you lost your registration key, please send us your purchase information (purchase number and approximate date), specify the name (company name) and email address you used to buy your copy of novaPDF. We will send to you the registration key again.

If you have questions or you experience problems related to the registration process, you can use the Support button from the About page to contact us. We will be happy to assist you with the registration.


Licenses

Network license

If you want to use novaPDF as a printer server, you will need a novaPDF Server license with the number of users you wish to connect to the printer server. The license should be registered on the printer server computer.

Manage network licenses

You can manage network licenses only from the printer server computer using the Licenses dialog that is opened from the About page, Licenses button.

If a print job is started from a computer in the network, the computer name is registered automatically for a license, as long as there are licenses available. So if you bought enough licenses for your network, you don't have to configure anything, all computers will be automatically registered when they initiate their first print job to the novaPDF on the printer server. As the client computers are being assigned a license, you will see the number of Available licenses decreasing, and an Yes status will be displayed near the name of the Licensed Computers.

The client computers are automatically added in the computers list even when the server is not licensed. In this case all computers will be listed as unlicensed. When a license key is registered, the computers in the list are automatically licensed. If you have more computers in the list then the number of licenses, the computers at the end of the list will remain unlicensed.

You can see a status of the current available licenses in the lower right-hand part under the Available licenses text. If you wish, you can manage the licensed workstations manually in the Licenses dialog. You can Add, Remove, Rename or Unlicense workstations in the Licensed Computers list.

Depending on your network configuration, you can choose what machine names to use for licensing: NetBIOS names or DNS names. You can switch at any time between NetBIOS and DNS names. Just remember that if you already have machines licensed with one name they will not be recognized with the other name. You will have to change the names manually or you can remove all machines from the licensed list and let novaPDF license them with the new name at the moment of the first print job.


How to manage predefined forms

 Top Previous

Predefined forms have system and custom predefined page sizes. Beside the system predefined forms (like "Letter", "A4", etc.), you can define custom ones that you often use when printing.

Predefined forms are managed from the Printing Preferences window that can be opened by choosing the Printing Preferences menu item for the novaPDF in Control Panel, Printers and Faxes window. Also, it usually can be opened form the printing Windows application, in the Print dialog, Properties or Preferences button.

Custom predefined forms can be added, modified and removed from the Predefined Forms dialog.

How to add a Custom Predefined Form

To add a custom predefined form you should make next steps:

· go to the Page settings window
· select Predefined page size radio button
· press the Manage button next to the predefined forms combo box
· press the Add button on the Manage Predefined Forms dialog
· fill the form name, description, width and height
· set the form visible
· press the OK button and return in the Page settings page
· choose the new added form in the predefined combobox

How to modify a Custom Predefined Form

To modify a custom predefined form you should make next steps:

· go to the Page settings window
· select Predefined page size radio button
· press the Manage button next to the predefined forms combo box
· select the form in the list-view
· change the form name, description, width and height in the controls below
· press the OK button and return in the Page settings page

How to remove a Custom Predefined Form

To remove a custom predefined form you should make next steps:

· go to the Page settings window
· select Predefined page size radio button
· press the Manage button next to the predefined forms combo box
· select the form in the list-view
· press the Remove button
· press the OK button and return in the Page settings page

How to select the visibility for the Predefined Forms

To select what predefined forms should be visible in the predefined combobox in the Page settings page, you should make next steps:

· go to the Page settings window
· select Predefined page size radio button
· press the Manage button next to the predefined forms combo box
· select the form in the list-view
· change Visible checkbox
· press the OK button and return in the Page settings page


CSHelp.txt

This dialog can be opened from the About page. It shows a list of features available in your edition of novaPDF Printer. The Enabled column shows if the feature is available or not.